import json

from aidso_geo.models import spider_save_tos
from aidso_geo.utils import robot_utils, bh_utils
from aidso_geo.utils.ai_interface import get_parse_sse_result
from aidso_geo.utils.tos_utils import get_string_from_tos


def yuanbao_android_process_original_data(data):
    file_path = f'geo/{data["taskId"]}/{data["platform"]}/original.text'
    """处理文件内容，提取思考内容、响应内容和URL列表"""
    url_list =[]
    think_content = ""
    response_content = ""
    response_process = ""
    search_keyword = []
    is_think = False
    think_bool = False
    suggestions = []
    rich_media_block = []
    mini_program = []
    response_bool = False
    try:
        original_content = get_string_from_tos(file_path)
        # # 按空行分割内容，过滤空字符串
        content_list = original_content.split("\n\n")
        for i in content_list:

            if i.startswith("data: "):
                try:
                    # 提取并解析JSON数据
                    data_str = i.split("data: ")[1]
                    json_data = json.loads(data_str)
                except (IndexError, json.JSONDecodeError):
                    continue  # 跳过格式错误的数据
                if json_data.get('type') == 'searchGuid':
                    url_list = json_data.get('docs')
                if json_data.get('type') == 'think':
                    think_content += json_data.get('content')
                if json_data.get('type') == 'text' and json_data.get('msg') is not None:
                    response_content += json_data.get('msg')
                    response_process += json_data.get('msg')
                if json_data.get('type') == 'deepSearch':
                    if json_data.get('contents'):
                        if json_data.get('contents')[0].get('msg'):
                            think_content += json_data.get('contents')[0].get('msg')
                            if not response_process:
                                response_content += json_data.get('contents')[0].get('msg')
                        if json_data.get('contents')[0].get('docs'):
                            url_list.extend(json_data.get('contents')[0].get('docs'))
                if json_data.get('type') == 'image':
                    response_content = "生成了图片"
                if json_data.get('type') == 'replace':
                    if json_data.get('replace').get('display') =='videoBoxV2':
                        rich_media_block.extend(json_data.get('replace').get('multimedias'))
                    if json_data.get('replace').get('display') =='miniProgramBox':

                        response_content+=json_data.get('replace').get('title')

                        response_content += '\n\nrender_ecom_card_widget_miniprogram_start:\n\n'
                        for pro in json_data.get('replace').get('multimedias'):

                            title = pro.get('title','')
                            icon = pro.get('linkInfo', {}).get('icon','') or pro.get('linkInfo', {}).get('iconDark','')
                            wx_app_id = pro.get('linkInfo', {}).get('wxAppId','')
                            response_mini = {
                                "title":title,
                                "icon":icon,
                                "wx_app_id":wx_app_id,
                            }
                            mini_program.append(response_mini)
                        mini_program_str = json.dumps(mini_program, ensure_ascii=False)
                        response_content += mini_program_str
                        response_content += '\n\nrender_ecom_card_widget_miniprogram_end:'
        spider_save_tos.process_and_save_files(file_path, search_keyword, url_list, think_content, response_content,
                                               suggestions,rich_media_block)
        return (file_path, search_keyword, url_list, think_content, response_content, suggestions)
    except Exception as e:

        parts = file_path.split('/')
        platform = parts[2]
        task_id = parts[1]
        context, quote, suggestion, think, search_word = get_parse_sse_result(platform, task_id)
        if context:
            response_content = context
            url_list = quote
            suggestions = suggestion
            think_content = think
            search_keyword = search_word
            spider_save_tos.process_and_save_files_ai(file_path, search_keyword, url_list, think_content,
                                                      response_content,suggestions)

            return (file_path, search_keyword, url_list, think_content, response_content, suggestions)
        else:
            response_content = "对话信息获取失败:-200"
            robot_utils.feishu_tobot(file_path)


    spider_save_tos.process_and_save_files(file_path, search_keyword, url_list, think_content, response_content,
                                           suggestions)
    return (file_path, search_keyword, url_list, think_content, response_content, suggestions)

if __name__ == '__main__':
    # file_path2 = 'geo/6f49084e-f191-447d-849b-bc6c60fd5d20/TXYBA/original.text'
    # yuanbao_android_process_original_data(file_path2)


    data_list = bh_utils.query_data(f"select * from geo_commit_task  where taskId = 'f9018d5c-2d0a-4e6a-9476-4b92334a0715' and  platform  = 'TXYBA'")

    # # #
    # # #
    # # # # #
    def handle_item(i):
        if i.get('comWordsMap'):
            i['comWordsMap'] = json.loads(i.get('comWordsMap'))
        if i.get('brandWords'):
            i['brandWords'] = json.loads(i.get('brandWords'))
        if i.get('comWords'):
            i['comWords'] = json.loads(i.get('comWords'))
        if i.get('keywords'):
            i['keywords'] = json.loads(i.get('keywords'))
        if i.get('productWordsMap'):
            i['productWordsMap'] = json.loads(i.get('productWordsMap'))

        return yuanbao_android_process_original_data(i)


    if data_list:
        for i in data_list:
            try:
                handle_item(i)
            except Exception as e:
                ...
